# Uses of Class
org.eclipse.net4j.util.concurrent.Access

Packages that use Access
Package
Description
org.eclipse.net4j.util.concurrent
Utility interfaces and classes commonly useful in concurrent programming.

## Uses of Access in org.eclipse.net4j.util.concurrent

Fields in org.eclipse.net4j.util.concurrent declared as Access
Modifier and Type
Field
Description
`protected final Access`
RWOLockManager.`read`
`protected final Access`
RWOLockManager.`write`
Methods in org.eclipse.net4j.util.concurrent that return Access
Modifier and Type
Method
Description
`Access`
Access.`access()`
`Access`
ReentrantReadWriteAccess.`readAccess()`
`Access`
ReentrantReadWriteAccess.`writeAccess()`